summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAkinori Hattori <hattya@gentoo.org>2017-02-06 22:49:27 +0900
committerAkinori Hattori <hattya@gentoo.org>2017-02-06 22:49:27 +0900
commit5af0cf67b37570c66a85f6331812083031d32655 (patch)
treed2df37d946caec9184d29cb55848ae56651ed0c5 /x11-terms
parentx11-terms/mlterm: drop old (diff)
downloadgentoo-5af0cf67b37570c66a85f6331812083031d32655.tar.gz
gentoo-5af0cf67b37570c66a85f6331812083031d32655.tar.bz2
gentoo-5af0cf67b37570c66a85f6331812083031d32655.zip
x11-terms/mlterm: new upstream release
Package-Manager: portage-2.3.3
Diffstat (limited to 'x11-terms')
-rw-r--r--x11-terms/mlterm/Manifest1
-rw-r--r--x11-terms/mlterm/mlterm-3.8.0.ebuild119
2 files changed, 120 insertions, 0 deletions
diff --git a/x11-terms/mlterm/Manifest b/x11-terms/mlterm/Manifest
index 2736255e4aa..c739684638f 100644
--- a/x11-terms/mlterm/Manifest
+++ b/x11-terms/mlterm/Manifest
@@ -1,2 +1,3 @@
DIST mlterm-3.4.5.tar.gz 3659801 SHA256 7df146099e1d578caddaeb7e93459f96ca1e2381fcc51157a25fe00336072752 SHA512 a85d092680dfe5498a90a4ad4935d441e41efa4ce3aa26f2e8897ef254f9c20d053bb045b5709626ee5bb4c9fdecda9f311a26db7fac6d6369d50336af7ab1f5 WHIRLPOOL 4533009727ad30b94b9b2814a17464975986df7eb2a42b383e654b1233651455a1ff938fae5273af350ccce29cbe08c7e68d26237a511ab7e3fcc45d05665b58
DIST mlterm-3.7.2.tar.gz 3740947 SHA256 88e70c1c98aea1e4134e1164e763c2662c5de92ee5a7dfa6a33e4ce620e244ac SHA512 48d06dd12cfad77db8a384414283fc50f57187cafd4e5299515551da7aa2527ff44a478ba4d12a2d67d4bd2f28a0b2f7b45697d62f45893619a25ab682ac3eba WHIRLPOOL 9ba39110e044272da71bc4c67aeffe6a102625f818f6a4d179e8c1148c577183e377dc91dd626531523c563a304e6e93e48d1fb7ad24831fe4825adb0261e30b
+DIST mlterm-3.8.0.tar.gz 3756779 SHA256 6be0165fe43dc45099c4b37303fcca918e5dd07c5b0abb1fd4e35c8d73e9bf01 SHA512 86d163aaf24668dea77e54ff775cb448c6c699bcc82e1d84fe9a9fbed90d9c834ee3e61348de77713b2dbd229b37b76d2be817d788710f224cd5c53e7f93049f WHIRLPOOL b189d06d420a42ded64e84c17158c21d3968353ac69bc1027bc1895a2eccc21cafe402d6b4f9497ca652d436ecc51c99ce8287ec96790e75d526facd7a830558
diff --git a/x11-terms/mlterm/mlterm-3.8.0.ebuild b/x11-terms/mlterm/mlterm-3.8.0.ebuild
new file mode 100644
index 00000000000..7e046f0ca69
--- /dev/null
+++ b/x11-terms/mlterm/mlterm-3.8.0.ebuild
@@ -0,0 +1,119 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="6"
+
+inherit eutils
+
+DESCRIPTION="A multi-lingual terminal emulator"
+HOMEPAGE="http://mlterm.sourceforge.net/"
+SRC_URI="mirror://sourceforge/mlterm/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~hppa ~ppc ~ppc64 ~x86"
+IUSE="bidi cairo canna debug fcitx freewnn gtk ibus libssh2 m17n-lib nls regis scim skk static-libs uim utempter xft"
+
+RDEPEND="x11-libs/libICE
+ x11-libs/libSM
+ x11-libs/libX11
+ bidi? ( dev-libs/fribidi )
+ cairo? ( x11-libs/cairo[X] )
+ canna? ( app-i18n/canna )
+ fcitx? ( app-i18n/fcitx )
+ freewnn? ( app-i18n/freewnn )
+ gtk? ( >=x11-libs/gtk+-2:= )
+ ibus? ( app-i18n/ibus )
+ libssh2? ( net-libs/libssh2 )
+ m17n-lib? ( dev-libs/m17n-lib )
+ nls? ( virtual/libintl )
+ regis? (
+ || (
+ media-libs/sdl-ttf
+ media-libs/sdl2-ttf
+ )
+ )
+ scim? ( app-i18n/scim )
+ skk? (
+ || (
+ virtual/skkserv
+ app-i18n/skk-jisyo
+ )
+ )
+ uim? ( app-i18n/uim )
+ utempter? ( sys-libs/libutempter )
+ xft? ( x11-libs/libXft )"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ nls? ( sys-devel/gettext )"
+
+DOCS=( doc/{en,ja} )
+
+src_prepare() {
+ # default config
+ sed -i \
+ -e "/ icon_path =/aicon_path = ${EPREFIX}/usr/share/pixmaps/mlterm-icon.svg" \
+ -e "/ scrollbar_view_name =/ascrollbar_view_name = sample" \
+ etc/main
+
+ default
+}
+
+src_configure() {
+ local myconf=(
+ $(use_enable bidi fribidi)
+ $(use_enable canna)
+ $(use_enable debug)
+ $(use_enable fcitx)
+ $(use_enable freewnn wnn)
+ $(use_enable ibus)
+ $(use_enable libssh2 ssh2)
+ $(use_enable m17n-lib m17nlib)
+ $(use_enable nls)
+ $(use_enable scim)
+ $(use_enable skk)
+ $(use_enable uim)
+ $(use_enable utempter utmp)
+ --with-type-engines=xcore$(usex xft ",xft" "")$(usex cairo ",cairo" "")
+ --enable-optimize-redrawing
+ --enable-vt52
+ --disable-static
+ )
+
+ local scrollbars="sample,extra"
+ local tools="mlclient,mlcc,mlfc,mlmenu,mlterm-zoom"
+ if use gtk; then
+ myconf+=( --with-imagelib=gdk-pixbuf )
+ if has_version x11-libs/gtk+:3; then
+ myconf+=( --with-gtk=3.0 )
+ else
+ myconf+=( --with-gtk=2.0 )
+ fi
+ scrollbars+=",pixmap_engine"
+ tools+=",mlconfig,mlimgloader"
+ fi
+ if use regis; then
+ tools+=",registobmp"
+ fi
+ myconf+=( --with-scrollbars="${scrollbars}" )
+ myconf+=( --with-tools="${tools}" )
+
+ addpredict /dev/ptmx
+ econf "${myconf[@]}"
+}
+
+src_test() {
+ :
+}
+
+src_install () {
+ default
+ prune_libtool_files
+
+ docinto contrib/icon
+ dodoc contrib/icon/README
+
+ doicon contrib/icon/mlterm*
+ make_desktop_entry mlterm mlterm mlterm-icon "System;TerminalEmulator"
+}